The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of procps: multiple vulnerabilities

Synthesis of the vulnerability 

An attacker can use several vulnerabilities of procps.
Vulnerable software: Debian, VNX Operating Environment, VNX Series, BIG-IP Hardware, TMOS, Fedora, Junos Space, McAfee Web Gateway, openSUSE Leap, Solaris, RHEL, Slackware, SUSE Linux Enterprise Desktop, SLES, Synology DSM, Synology DS***, Synology RS***, Ubuntu.
Severity of this announce: 2/4.
Number of vulnerabilities in this bulletin: 5.
Creation date: 23/05/2018.
Références of this computer vulnerability: CVE-2018-1122, CVE-2018-1123, CVE-2018-1124, CVE-2018-1125, CVE-2018-1126, DLA-1390-1, DSA-2020-030, DSA-2020-289, DSA-4208-1, FEDORA-2018-bba8fed5ab, FEDORA-2018-de5de06754, JSA10917, K00409335, K16124204, K83271321, openSUSE-SU-2018:1848-1, openSUSE-SU-2019:0291-1, openSUSE-SU-2019:2376-1, openSUSE-SU-2019:2379-1, RHSA-2018:1700-01, RHSA-2018:1777-01, RHSA-2018:2267-01, RHSA-2018:2268-01, RHSA-2019:1944-01, RHSA-2019:2189-01, RHSA-2019:2401-01, RHSA-2020:0595-01, RHSA-2020:1265-01, RHSA-2020:1464-01, SB10241, SSA:2018-142-03, SUSE-SU-2018:1836-1, SUSE-SU-2018:2042-1, SUSE-SU-2018:2451-2, SUSE-SU-2019:0450-1, SUSE-SU-2019:2730-1, Synology-SA-18:51, USN-3658-1, USN-3658-2, USN-3658-3, VIGILANCE-VUL-26197.

Description of the vulnerability 

An attacker can use several vulnerabilities of procps.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This vulnerability note impacts software or systems such as Debian, VNX Operating Environment, VNX Series, BIG-IP Hardware, TMOS, Fedora, Junos Space, McAfee Web Gateway, openSUSE Leap, Solaris, RHEL, Slackware, SUSE Linux Enterprise Desktop, SLES, Synology DSM, Synology DS***, Synology RS***, Ubuntu.

Our Vigil@nce team determined that the severity of this cybersecurity vulnerability is medium.

The trust level is of type confirmed by the editor, with an origin of user shell.

This bulletin is about 5 vulnerabilities.

An attacker with a expert ability can exploit this computer threat note.

Solutions for this threat 

Debian 7: new procps packages.
New packages are available:
  Debian 7: procps 1:3.3.3.3+deb7u1

Debian 8/9: new procps packages.
New packages are available:
  Debian 8: procps 2:3.3.9-9+deb8u1
  Debian 9: procps 2:3.3.12-3+deb9u1

Dell EMC VNXe3200: version 3.1.11.10003441.
The version 3.1.11.10003441 is fixed:
  https://www.dell.com/support/

F5 BIG-IP: solution for procps.
The solution is indicated in information sources.

Fedora: new procps-ng packages.
New packages are available:
  Fedora 27: procps-ng 3.3.10-16.fc27
  Fedora 28: procps-ng 3.3.12-2.fc28

Junos Space: version 18.4R1.
The version 18.4R1 is fixed.

McAfee Web Gateway: patch.
A patch is indicated in information sources.

McAfee Web Gateway: version 8.2.2.
The version 8.2.2 is fixed:
  https://www.mcafee.com/enterprise/en-us/downloads/my-products.html

McAfee Web Gateway: version 9.0.
The version 9.0 is fixed:
  https://www.mcafee.com/enterprise/en-us/downloads/my-products.html

openSUSE Leap 15: new procps packages.
New packages are available:
  openSUSE Leap 15.0: procps 3.3.15-lp150.5.3.1
  openSUSE Leap 15.1: procps 3.3.15-lp151.6.3.1

openSUSE Leap 42.3: new procps packages (05/03/2019).
New packages are available:
  openSUSE Leap 42.3: procps 3.3.9-23.1

openSUSE Leap 42.3: new procps packages (29/06/2018).
New packages are available:
  openSUSE Leap 42.3: procps 3.3.9-20.1

Oracle Solaris: patch for third party software of Januray 2020 v2.
A patch is available:
  https://support.oracle.com/rs?type=doc&id=1448883.1

RHEL 6.6: new procps packages.
New packages are available:
  RHEL 6: procps 3.2.8-30.el6_6.1

RHEL 6.7: new procps packages.
New packages are available:
  RHEL 6: procps 3.2.8-35.el6_7.1

RHEL 6.9: new procps packages.
New packages are available:
  RHEL 6: procps 3.2.8-45.el6_9.3

RHEL 7.3: new procps-ng packages.
New packages are available:
  RHEL 7: procps-ng 3.3.10-10.el7_3.1

RHEL 7.4: new procps-ng packages (25/02/2020).
New packages are available:
  RHEL 7.4: procps-ng 3.3.10-16.el7_4.2

RHEL 7.4: new procps-ng packages (30/07/2019).
New packages are available:
  RHEL 7: procps-ng 3.3.10-16.el7_4.1

RHEL 7.5: new procps-ng packages (01/04/2020).
New packages are available:
  RHEL 7.5: procps-ng 3.3.10-17.el7_5.4

RHEL 7.5: new procps-ng packages (24/05/2018).
New packages are available:
  RHEL 7: procps-ng 3.3.10-17.el7_5.2

RHEL 7.6: new procps-ng packages.
New packages are available:
  RHEL 7.6: procps-ng 3.3.10-23.el7_6.2

RHEL 7: new procps-ng packages (06/08/2019).
New packages are available:
  RHEL 7: procps-ng 3.3.10-26.el7

Slackware: new procps-ng packages.
New packages are available:
  Slackware 14.2: procps-ng 3.3.15-*-1_slack14.2

SUSE LE 11 SP4: new procps packages.
New packages are available:
  SUSE LE 11 SP4: procps 3.2.7-152.31.1

SUSE LE 12: new procps packages.
New packages are available:
  SUSE LE 12 RTM: procps 3.3.9-11.18.1
  SUSE LE 12 SP1: procps 3.3.9-11.18.1
  SUSE LE 12 SP2: procps 3.3.9-11.18.1
  SUSE LE 12 SP3: procps 3.3.9-11.18.1
  SUSE LE 12 SP4: procps 3.3.9-11.18.1

SUSE LE 12 SP3: new procps packages (27/11/2018).
New packages are available:
  SUSE LE 12 SP3: procps 3.3.9-11.14.1

SUSE LE 12 SP3: new procps packages (29/06/2018).
New packages are available:
  SUSE LE 12 SP3: procps 3.3.9-11.11.1

SUSE LE 15: new procps packages.
New packages are available:
  SUSE LE 15 RTM: procps 3.3.15-7.7.26
  SUSE LE 15 SP1: procps 3.3.15-7.7.26

Synology DSM: version 6.2.1-23824.
The version 6.2.1-23824 is fixed:
  https://www.synology.com/

Synology RS/DS: version 6.2.1-23824-1.
The version 6.2.1-23824-1 is fixed:
  https://www.synology.com/

Ubuntu: new procps-ng packages.
New packages are available:
  Ubuntu 18.04 LTS: procps 2:3.3.12-3ubuntu1.1
  Ubuntu 17.10: procps 2:3.3.12-1ubuntu2.1
  Ubuntu 16.04 LTS: procps 2:3.3.10-4ubuntu2.4
  Ubuntu 14.04 LTS: procps 1:3.3.9-1ubuntu2.3
  Ubuntu 12.04 ESM: procps 1:3.2.8-11ubuntu6.6

VNXe1600: fixed versions for Third-Party Component.
Fixed versions are indicated in information sources.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides a software vulnerabilities database. The Vigil@nce team tracks computer vulnerabilities impacting systems and applications.